Page MenuHomePhabricator

A missing condition in templates
Closed, DeclinedPublic

Description

Message wm-license-cc-conditions-attribution-text is missing a condition that a link to the used license must be provided when the work is used. Unfortunately, this is omitted quite often by licensees. I feel we should add this. I agree it would make the text longer but it would make the conditions clearer too.


I suggest a following change:

Current text:
You must attribute the work in the manner specified by the author or licensor (but not in any way that suggests that they endorse you or your use of the work).

New text:
You must attribute the work in the manner specified by the author or licensor (but not in any way that suggests that they endorse you or your use of the work) and provide a link to the license text.


I guess, the link to the license does not have to be provided in this text because it is usually somewhere near on a page anyway.


Version: unspecified
Severity: minor

Details

Reference
bz73387

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:56 AM
bzimport added projects: WikimediaMessages, I18n.
bzimport set Reference to bz73387.
bzimport added a subscriber: Unknown Object (MLST).
Miraceti created this task.Nov 13 2014, 9:14 PM

+CC Luis Villa from WMF Legal

m4tx claimed this task.Dec 25 2014, 2:03 AM
m4tx added a project: good first bug.
m4tx set Security to None.

Change 181776 had a related patch set uploaded (by M4tx):
Update CC BY conditions message

https://gerrit.wikimedia.org/r/181776

Patch-For-Review

Nemo_bis changed the task status from Open to Stalled.Dec 25 2014, 11:17 AM

The scope of this report is not clear, and adequacy of the suggested rewording can't therefore be assessed, because the documentation doesn't state where this message is used. Please edit https://translatewiki.net/wiki/MediaWiki:Wm-license-cc-conditions-attribution-text/qqq to say

  • what uses this message (e.g. is it a template, some peculiar interface element, a popup as stockphoto gadget may produce?),
  • in what context it's used (e.g. is it used for specific licenses and if yes which? is it accompanied by other license information and if yes which?).

@Purodha: Removing the project addition as this task is not clear and self-defined (see T75387#943680) and as I don't see any mentor information - see the mentor's corner if you can imagine to mentor. Thanks!

Change 181776 abandoned by MarcoAurelio:
Update CC BY conditions message

Reason:
superseded by https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikimediaMessages/ /477511/

https://gerrit.wikimedia.org/r/181776